;;; $Id: auto-autoloads.el 771 2005-10-29 00:28:55Z kose $
;;;
;;; pkginfo/bitmap-mule/auto-autoloads.el
;;; Copyright (C) 2006 The Meadow Team
;;; Author: KOSEKI Yoshinori <kose@meadowy.org>

;; Make bitmap16 font and set to all fontsets.
;; Using Meadow/fonts/intlfonts/bmp16-etl.bdf.

(require 'bitmap)

(add-hook 'emacs-startup-hook
	  (lambda ()
	    (let ((flst (w32-font-list))
		  (bitmap (cdr (car
				(mw32-convert-font-request-alist  
				 `((spec
				    ((:char-spec bitmap :height any :weight any :slant any)
				     strict
				     (bdf-font ,(expand-file-name "../packages/fonts/bitmap/bitmap16.bdf" 
								  data-directory)))))))))
		  fset info spec len)
	      (while (setq fset (car flst))
		(setq flst (cdr flst))
		(setq info (w32-get-font-info fset))
		(when (setq spec (assq 'spec info))
		  (setq len (length spec))
		  (setcdr (nthcdr (1- len) spec) bitmap))
		(w32-change-font-attribute-internal fset info)))))

;;; auto-autoloads.el ends here
